curl --request GET \
--url https://api.ondoperps.xyz/v1/builder_code/stats \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ondoperps.xyz/v1/builder_code/stats"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ondoperps.xyz/v1/builder_code/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"result": {
"startTime": 1789725600000,
"endTime": 1789729200000,
"totalVolume": "12500.123456789",
"totalBuilderFee": "12.500123456789",
"accounts": [
{
"accountId": "2564891920043613872",
"walletAddress": "0x742d35Cc6634C0532925a3b844Bc9e7595f2bD18",
"totalVolume": "10000.123456789",
"builderFee": "10.000123456789"
},
{
"accountId": "2564891920043613873",
"walletAddress": "0x742d35Cc6634C0532925a3b844Bc9e7595f2bD18",
"totalVolume": "2500",
"builderFee": "2.5"
}
]
}
}{
"success": false,
"error": "endTime must be at least 1 minute in the past; omit endTime for live statistics",
"error_code": "bad_query_param"
}{
"success": false,
"error": "Description of the error",
"error_code": "auth_missing"
}{
"success": false,
"error": "Description of the error",
"error_code": "account_not_allowed"
}{
"success": false,
"error": "No builder code found for this account.",
"error_code": "builder_code_not_found"
}{
"success": false,
"error": "Description of the error",
"error_code": "too_many_requests"
}{
"success": false,
"error": "Description of the error",
"error_code": "unknown"
}Get Builder Code Statistics
Returns trading volume and builder fees attributed to the builder code owned by the authenticated account. Time bounds are inclusive. Omit endTime for live statistics; live results use a five-minute start-time bucket and are cached for one hour. Historical requests include endTime and are cached for 24 hours. An explicit endTime must be at least one minute in the past.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required inclusive start time in Unix milliseconds. For live requests, the server rounds this value down to a five-minute boundary and returns the effective value in the response.
-62135596800000 <= x <= 2534023007999991789725600000
Optional inclusive end time in Unix milliseconds. Omit this parameter for live statistics. When provided, it must be at least one minute in the past and must not be before startTime.
-62135596800000 <= x <= 2534023007999991789729200000
Response
Builder-code volume and fee statistics for the effective inclusive time window
Whether the request was successful
true
Error message, present only on failure
""
Semantic error code. See each endpoint's error responses for the specific codes it can return.
Deprecation notice, if applicable
""
Show child attributes
Show child attributes